Name: bdflush
Version: 1.5
Release: ipl19mdk

Summary: The process which starts the flushing of dirty buffers back to disk
License: Free
Group: System/Kernel and hardware
Url: ftp://tsx-11.mit.edu/pub/linux/sources/system/v1.2

Source: %url/%name-%version.tar
Patch0: %name-1.5-axp.patch
Patch1: %name-1.5-glibc.patch
Patch2: %name-1.5-ia64.patch
Patch3: %name-1.5-limit.patch
Patch4: %name-1.5-errno.patch

Obsoletes: %name-lowmem

%description
The %name process starts the kernel daemon which flushes dirty
buffers back to disk (i.e., writes all unwritten data to disk).
This helps to prevent the buffers from growing too stale.

Bdflush is a basic system process that must run for your system
to operate properly.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" %name

%install
install -p -m755 -D %name $RPM_BUILD_ROOT/sbin/update
install -p -m644 -D %name.8 $RPM_BUILD_ROOT%_mandir/man8/%name.8
ln -sf %name.8 $RPM_BUILD_ROOT%_mandir/man8/update.8

%files
/sbin/update
%_mandir/man?/*

%changelog
* Wed Oct 23 2002 Stanislav Ievlev <inger@altlinux.ru> 1.5-ipl19mdk
- rebuild with gcc3

* Mon Mar 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.5-ipl18mdk
- Rebuilt

* Fri Jan 26 2001 Dmitry V. Levin <ldv@fandra.org> 1.5-ipl17mdk
- RE adaptions.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5-17mdk
- Spec tweak.
- Change license.

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5-16mdk
- Obsoletes -lowmem package (who use it ?)
- BM.
- Merge with last rh patches.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5-15mdk
- Add doc for lowmem package.
- Make static link symbolic.
- Clean-up specs.
- Upgrade groups.

* Wed Nov 24 1999 Pixel <pixel@linux-mandrake.com>
- re-alpha adaptation (i386<>i586)
- alpha adaptation (no lowmem)
- removed the stupid asnonroot patch

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- handle RPM_OPT_FLAGS
- add de locale
- build lowmem version

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- uses a build root
- user %attr()

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- alpha patch should be applied on all architectures

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

